Page MenuHomePhabricator

elementary: enable efl_ui_suite tests for meson build.
ClosedPublic

Authored by cedric on Jan 16 2019, 6:29 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 16 2019, 6:29 PM
cedric requested review of this revision.Jan 16 2019, 6:29 PM
cedric updated this revision to Diff 18582.Jan 17 2019, 4:45 PM

Rebase.

zmike requested changes to this revision.Jan 18 2019, 5:58 AM

Probably worth pointing out in the commit log that this is only for the meson build

src/tests/elementary/efl_ui_suite.c
39

Unrelated change?

This revision now requires changes to proceed.Jan 18 2019, 5:58 AM
In D7662#135555, @zmike wrote:

Probably worth pointing out in the commit log that this is only for the meson build

Will update the commit log.

src/tests/elementary/efl_ui_suite.c
39

Yes and no. The test wasn't testing really much before. This kind of make it more useful, I think.

cedric updated this revision to Diff 18639.Jan 18 2019, 12:44 PM
cedric retitled this revision from elementary: enable efl_ui_suite tests. to elementary: enable efl_ui_suite tests for meson build..

Rebase and fix description.

cedric updated this revision to Diff 18773.Jan 23 2019, 2:44 PM

Rebase.

cedric updated this revision to Diff 18820.Jan 24 2019, 3:39 PM

Rebase.

cedric updated this revision to Diff 18903.Jan 25 2019, 3:02 PM

Rebase.

SanghyeonLee accepted this revision.Jan 29 2019, 2:29 AM

looks good.
some efl_ui related test need to be rearranged now.

zmike accepted this revision.Jan 29 2019, 6:24 AM
This revision is now accepted and ready to land.Jan 29 2019, 6:24 AM
This revision was automatically updated to reflect the committed changes.